<?xml version="1.0" ?>

<!-- 	 
###############################################################################
###############################################################################
## 
##   Nome: rub2rub.xsl 
##   versione: 0.4  
##   Copyright (C) Nicola Fragale <nicolafragale@libero.it> 
##	
##   Scopo: tradurre i file generati da una vecchia versione di Rubrica
##          (.rub)  nel formato adottato dall'ultima versione 
##    
##   This program is free software; you can redistribute it and/or modify 
##   it under the terms of the GNU General Public License as published by 
##   the Free Software Foundation; either version 2 of the License, or 
##   (at your option) any later version. 
##
##   This program is distributed in the hope that it will be useful, 
##   but WITHOUT ANY WARRANTY; without even the implied warranty of 
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
##   GNU General Public License for more details. 
##
##   You should have received a copy of the GNU General Public License 
##   along with this program; if not, write to the Free Software 
##   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
##  	
###############################################################################
###############################################################################
--> 
	
	<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" encoding="UTF-8" indent="yes"/>	

		<xsl:template match="Rubrica">
			<Rubrica version="1.1.40" fileformat="4" doctype="AddressBook">
				<xsl:apply-templates/>
			</Rubrica>
		</xsl:template>		
		


		<!-- importa i dati da "Card" => formato file 2-3
		     ed esporta a "Card" formato file 4
		--> 
		<xsl:template match="Card">
			<Card name="{./@name}" rank="2" id="0"
			      deletable="{./@deleting}" deleted="no"
			      created="{./@created}" last_change="{./@last_change}">
					<Groups>
						<Group><xsl:value-of select="./@group"/></Group>
					</Groups> 								
				 	<xsl:apply-templates select="Data"/>
				 	<Addresses>   
					  	<xsl:apply-templates select="Address"/>
					</Addresses>
				  	<xsl:apply-templates select="WebAddresses"/>   
				  	<xsl:apply-templates select="EmailAddresses"/>    
			 	 	<xsl:apply-templates select="TelephoneNumbers"/>    
			  		<xsl:apply-templates select="Company"/>    
			  		<xsl:apply-templates select="Work"/>   
				  	<xsl:apply-templates select="Notes"/>  
			</Card>
		</xsl:template>

		<!-- importa i dati da "Indirizzo" => formato file 1 
		     ed esporta a "Card" formato file 3
		--> 	 
		<xsl:template match="Indirizzo">
			<Card name="{./Scheda}" deleting="{./Scheda/@cancellabile}"	
		      group="" created="0" last_change="0"
  				rank="2" id="0">  
				<Groups>
					<Group></Group>
				</Groups> 											      
			 	<xsl:apply-templates select="Dati"/> 
			  	<xsl:apply-templates select="IndirizziWeb"/> 
		   	<xsl:apply-templates select="IndirizziEmail"/> 
		    	<xsl:apply-templates select="NumeriTelefonici"/> 

		     	<Company> 
	    	  		<CompanyName></CompanyName> 
      			<Street></Street> 
     				<StreetNumber></StreetNumber> 
	     			<ZipCode></ZipCode> 
    	  			<City></City> 
	    	  		<Province></Province> 
     				<Country></Country> 
     				<Web></Web> 
      			<Email></Email> 
    	  			<Operator></Operator> 
     				<Fax></Fax> 
     				<Green></Green> 
      			<CustomerCare></CustomerCare> 
    	  			<Notes></Notes> 
				</Company> 	
				
				<Work> 
			 		<Assigment></Assigment> 
			   	<Organization></Organization> 
		     		<Department></Department> 
		      	<SubDepartment></SubDepartment> 
     				<SecretaryName></SecretaryName> 
	    	  		<Secretaryphone></Secretaryphone> 
     			</Work> 
			      	
     			<Notes married="false" know_birthday="false" know_anniversary="false"> 
					<SpouseName birthday="0" anniversary="0"></SpouseName> 
				 	<Child></Child>  
			 		<OtherNotes>  
						<xsl:apply-templates select="Note"/> 						
					</OtherNotes>  
					<PublicKey></PublicKey>  
				</Notes>  				
							 	 		
			</Card>  
		</xsl:template>
		

		
		<!-- import templates 
		-->

		<!-- template per importare il formato file 1 
		  -->
		<xsl:template match="Dati"> 
			<Data> 
				<FirstName know_birthday="false" birthday="0"><xsl:value-of select="Nome"/></FirstName> 
   			<MiddleName></MiddleName> 
				<LastName><xsl:value-of select="Cognome"/></LastName> 
				<Profession><xsl:value-of select="Professione"/></Profession> 
     			<NamePrefix></NamePrefix> 
     			<Title></Title> 
			</Data> 
	      		
     		<Addresses>
     			<Address type="unknown"> 
	    			<Street><xsl:value-of select="Via"/></Street> 
     				<StreetNumber><xsl:value-of select="Numero"/></StreetNumber>	 		 
     				<ZipCode><xsl:value-of select="Cap"/></ZipCode>  
					<City><xsl:value-of select="Citta"/></City>  
					<Province><xsl:value-of select="Provincia"/></Province>  
					<State></State> 
					<Country><xsl:value-of select="Stato"/></Country> 	
				</Address>					
		  	</Addresses>   
		</xsl:template>  <!-- Data template -->


		<xsl:template match="IndirizziWeb">
			<WebAddresses> 
				<Web> 
					<xsl:apply-templates select="Web"/>
				</Web> 
			</WebAddresses> 
		</xsl:template>
		

		<xsl:template match="Web"> 
			<xsl:value-of select="."/>  
		</xsl:template>
		
		
		<xsl:template match="IndirizziEmail">  
			<EmailAddresses> 
				<Email> 
					<xsl:apply-templates select="EMail"/>
				</Email> 
			</EmailAddresses>	      	
		</xsl:template>
		
	      
		<xsl:template match="EMail"> 
			<xsl:value-of select="."/> 
		</xsl:template>
		
		
		<xsl:template match="NumeriTelefonici">
			<TelephoneNumbers> 
				<xsl:apply-templates select="Telefono"/>
			</TelephoneNumbers> 
		</xsl:template>
		
		
		<xsl:template match="Telefono"> 
			<xsl:variable name="telephonetype">
				<xsl:if test="./@Tipo='Casa' or ./@Tipo='Home'">
					home
				</xsl:if>
				
				<xsl:if test="./@Tipo='Ufficio' or ./@Tipo='Work'">
					work
				</xsl:if>
				
				<xsl:if test="./@Tipo='Fax'">
					fax
				</xsl:if>
				
				<xsl:if test="./@Tipo='Cellulare' or ./@Tipo='Cellphone'">
					cellphone
				</xsl:if>	
										
				<xsl:if test="./@Tipo='Altro' or ./@Tipo='Other'">
					other
				</xsl:if>
			</xsl:variable>
			
			
			<Telephone type="{$telephonetype}">
				<xsl:value-of select="."/>
			</Telephone>			
		</xsl:template> 
	    
	    
		<xsl:template match="Note">
	 		<xsl:value-of select="."/>
	 	</xsl:template>
	 	
	 	
		<!-- template per importare il formato file 2/3 -->	
		<xsl:template match="Data">
			<Data>
				<FirstName know_birthday="{./FirstName/@know_birthday}" 
					birthday="{./FirstName/@birthday}"> 
					<xsl:value-of select="FirstName"/>  
				</FirstName>  
	      				      			
 	 			<MiddleName>
  					<xsl:value-of select="MiddleName"/> 
  				</MiddleName> 
	      			
				<LastName> 
					<xsl:value-of select="LastName"/> 
				</LastName> 
	      			
				<Profession> 
					<xsl:value-of select="Profession"/>  
	  			</Profession> 
	      			
 	 			<NamePrefix>
 		 			<xsl:value-of select="NamePrefix"/>  
  				</NamePrefix> 
  			
  				<Title>
	  				<xsl:value-of select="Title"/>  
	  			</Title> 
			</Data>	
		</xsl:template>
		
		
		<xsl:template match="Address">	
			<Address type="unknown">
				<Street> 
		 			<xsl:value-of select="Street"/> 
		  		</Street> 
	      			
		  		<StreetNumber>  
		  			<xsl:value-of select="StreetNumber"/>  
		  		</StreetNumber>	 		 
	      		
		 		<ZipCode>  
					<xsl:value-of select="ZipCode"/>  
				</ZipCode>  
			
				<City>  
					<xsl:value-of select="City"/>  
				</City>  
		
				<Province>  
					<xsl:value-of select="Province"/>  
				</Province>  
		
				<State>
					<xsl:value-of select="State"/> 
				</State> 
				
				<Country>  
					<xsl:value-of select="Country"/>  
				</Country> 
			</Address>
		</xsl:template>

		<xsl:template match="WebAddresses"> 
			<WebAddresses>  
				<xsl:apply-templates select="Web"/> 
			</WebAddresses>  
		</xsl:template> 
		

		<xsl:template match="Web"> 
			<Web>  
				<xsl:value-of select="."/>  
			</Web>  
		</xsl:template>
		
				
		<xsl:template match="EmailAddresses"> 
			<EmailAddresses>  			
				<xsl:apply-templates select="Email"/> 
			</EmailAddresses>	   	 	
		</xsl:template>				 
		
				
		<xsl:template match="Email">
			<Email>   
				<xsl:value-of select="."/> 
			</Email>  	
		</xsl:template>			
		
		
		<xsl:template match="TelephoneNumbers"> 
			<TelephoneNumbers>  
				<xsl:apply-templates select="Telephone"/> 
			</TelephoneNumbers>  
		</xsl:template> 
		
		
		<xsl:template match="Telephone"> 
			<xsl:variable name="type"> 
				<xsl:if test="./@type='home'">home</xsl:if> 
				
				<xsl:if test="./@type='work'">work</xsl:if> 
				
				<xsl:if test="./@type='fax'">fax</xsl:if> 
				
				<xsl:if test="./@type='cellphone'">cellphone</xsl:if>	 
										
				<xsl:if test="./@type='other'">other</xsl:if> 
			</xsl:variable> 
			
			<xsl:if test="Telephone!=''">
				<Telephone type="{$type}"> 
					<xsl:value-of select="."/> 
				</Telephone>		 
			</xsl:if>
		</xsl:template> 
		
		
		<xsl:template match="Company">
	     	<Company> 
		  		<CompanyName>
		  			<xsl:value-of select="CompanyName"/>  
		  		</CompanyName> 
		  		<Street>
		  			<xsl:value-of select="Street"/>  
		  		</Street> 
	 	 		<StreetNumber>
		  			<xsl:value-of select="StreetNumber"/>  
	 	 		</StreetNumber> 
	  			<ZipCode>
		  			<xsl:value-of select="ZipCode"/>  
	  			</ZipCode> 
	  			<City>
		  			<xsl:value-of select="City"/>  
	  			</City> 
	  			<Province>
		  			<xsl:value-of select="Province"/>  
	  			</Province> 
		  		<Country>
		  			<xsl:value-of select="Country"/>  
		  		</Country> 
		  		<Web>
		  			<xsl:value-of select="Web"/>  
		  		</Web> 
	 	 		<Email>
		  			<xsl:value-of select="Email"/>  
	 	 		</Email> 
	  			<Operator>
		  			<xsl:value-of select="Operator"/>  
	  			</Operator> 
	  			<Fax>
		  			<xsl:value-of select="Fax"/>  
	  			</Fax> 
	  			<Green>
		  			<xsl:value-of select="Green"/>  
	  			</Green> 
		  		<CustomerCare>
		  			<xsl:value-of select="CustomerCare"/>  
		  		</CustomerCare> 
		  		<Notes>
		  			<xsl:value-of select="Notes"/>  
		  		</Notes> 
			</Company> 	
		</xsl:template>
		
				
		<xsl:template match="Work">
			<Work> 
		 		<Assigment>
		 			<xsl:value-of select="Assigment"/>  
		 		</Assigment> 

	   		<Organization>
	  				<xsl:value-of select="Organization"/>  
				</Organization> 

     			<Department>		 			
	     			<xsl:value-of select="Department"/>  
				</Department> 

   			<SubDepartment>		 			
	     			<xsl:value-of select="SubDepartment"/>  
				</SubDepartment> 

	     		<SecretaryName>		 			
   		  		<xsl:value-of select="SecretaryName"/>  
				</SecretaryName> 

	     		<Secretaryphone>		 			
   		  		<xsl:value-of select="Secretaryphone"/>  
				</Secretaryphone> 
			</Work>   
      </xsl:template>		      			      


		<xsl:template match="Notes">
			<Notes married="{./@married}" know_birthday="true" 
				know_anniversary="true">  
				<SpouseName birthday="{./SpouseName/@birthday}" 
					anniversary="{./SpouseName/@anniversary}">
					<xsl:value-of select="SpouseName"/> 
				</SpouseName>  

			 	<Child>
					<xsl:value-of select="Child"/>  
			 	</Child>  

		 		<OtherNotes>  
					<xsl:apply-templates select="OtherNotes"/> 
				</OtherNotes>  

				<PublicKey>
					<xsl:value-of select="PublicKey"/>  
				</PublicKey>  			
			</Notes>   	
		</xsl:template>
 	
	</xsl:stylesheet>

	<!-- 	end of file
	-->
