/*
*  program name: Rubrica <http://digilander.iol.it/nfragale/download.html>
*  file: card.h
*  
*  Copyright (C) 2000-2003 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
#ifndef __RUBRICA_CARD_H
#define __RUBRICA_CARD_H

#include <gtk/gtk.h>
#include <gconf/gconf-client.h>
#include "rubrica.h"
#include "card_item.h"


enum
  {
//    PIXMAP_COLUMN,
//    CATEGORIES_COLUMN,
    CARD_COLUMN,
    FIRST_NAME_COLUMN,
    LAST_NAME_COLUMN,
    PROFESSION_COLUMN,
    CITY_COLUMN,
    COUNTRY_COLUMN,
    WEB_CARD_COLUMN,
    EMAIL_CARD_COLUMN,
    TELEPHONE_COLUMN,
    COMPANY_COLUMN,
    ASSIGMENT_COLUMN,
    CREATED_COLUMN,
    CHANGED_COLUMN,
    ID_COLUMN,
    COLUMNS
  };

GtkTreeModel*    rubrica_card_create_model         (void);
void             rubrica_card_add_columns          (GtkTreeView *view);
RubricaDoc*      rubrica_card_add_page_view        (gchar *filename);

RubricaCardItem* rubrica_card_get_nth_item         (GtkTreeView *view, gint n);


void             rubrica_card_append_item          (RubricaDoc *doc, 
						    RubricaCardItem *r);
void             rubrica_card_insert_item          (RubricaDoc *doc,
						    RubricaCardItem *r, 
						    gint index);
void             rubrica_card_modify_item          (RubricaDoc *doc, 
						    RubricaCardItem *r, 
						    gint index);


gboolean         rubrica_card_remove_selected_item (RubricaDoc *doc);
gboolean         rubrica_card_remove_last_item     (RubricaDoc *doc);
gboolean         rubrica_card_remove_nth_item      (RubricaDoc *doc, gint n);

gboolean         rubrica_card_free_memory          (GtkTreeModel *model, 
						    GtkTreePath *path, 
						    GtkTreeIter *iter, 
						    gpointer data);

RubricaCardItem* rubrica_card_item_cut             (RubricaDoc *doc);
RubricaCardItem* rubrica_card_item_copy            (RubricaDoc *doc);
RubricaCardItem* rubrica_card_clone_item           (RubricaCardItem *item);

void             rubrica_card_row_selected         (GtkTreeSelection *select,
						    gpointer data);
void             rubrica_card_row_activated        (GtkTreeView *tree_view,
						    GtkTreePath *path,
						    GtkTreeViewColumn *column);

gint             rubrica_card_popup_call           (GtkWidget *widget,
						    GdkEvent *event);
void             rubrica_card_detach_menu          (GtkWidget *attach_widget,
						    GtkMenu *menu);

#endif
