/*
*  Rubrica
*  file: file_card.h
*  
*  Copyright (C) 2000-2003 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _FILE_CARD_H
#define _FILE_CARD_H

#include <gnome.h>
#include <libxml/tree.h>
#include <libxml/parser.h>

#include "rubrica.h"
#include "card_item.h"


void     rubrica_file_card_write_file          (GtkWidget *ok_button,
						gpointer data);
gboolean rubrica_file_card_write_xmlfile       (RubricaDoc *doc, gchar *name);
void     rubrica_file_card_build_xmlnode       (xmlNodePtr xmlnode, 
						RubricaCardItem *item);
gboolean rubrica_file_card_real_load_xmlfile   (RubricaDoc *doc, gchar *fname, 
						RubricaErrorType *err);

void     rubrica_file_card_parse_doc           (RubricaDoc *doc, 
						xmlDocPtr xmldoc, 
						RubricaErrorType *err);
void     rubrica_file_card_load_from_xmlnode   (RubricaDoc *doc, 
						xmlNodePtr xmlnode);

void     rubrica_file_card_load_card_data      (RubricaCardItem *item, 
						xmlNodePtr node);
void     rubrica_file_card_load_personal_data  (RubricaCardItem *item, 
						xmlNodePtr node);
void     rubrica_file_card_load_groups_data    (RubricaCardItem *item, 
						xmlNodePtr node);
void     rubrica_file_card_load_address_data   (RubricaCardItem *item,
						xmlNodePtr node);
void     rubrica_file_card_load_web_data       (RubricaCardItem *item,
						xmlNodePtr node);
void     rubrica_file_card_load_email_data     (RubricaCardItem *item,
						xmlNodePtr node);
void     rubrica_file_card_load_telephone_data (RubricaCardItem *item,
						xmlNodePtr node);
void     rubrica_file_card_load_company_data   (RubricaCardItem *item,
						xmlNodePtr node);
void     rubrica_file_card_load_work_data      (RubricaCardItem *item, 
						xmlNodePtr node);
void     rubrica_file_card_load_note_data      (RubricaCardItem *item,
						xmlNodePtr node);


#endif    
