/*
*  Rubrica
*  file: init.h
*  
*  Copyright (C) 2000-2003 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _RUBRICA_INIT_H
#define _RUBRICA_INIT_H

void     rubrica_init                         (void);
void     rubrica_init_gconf                   (void);
void     rubrica_load_data_view_configuration (void);
void     rubrica_init_sort                    (void);
void     rubrica_check_keys                   (void);
void     rubrica_init_dictionary              (void);

gboolean rubrica_start_with_user_addressbook  (void);
gchar*   rubrica_get_book                     (void);


void     rubrica_load_personal_key_val    (GConfClient* client, gchar* key);
void     rubrica_load_communicate_key_val (GConfClient* client, gchar* key);
void     rubrica_load_company_key_val     (GConfClient* client, gchar* key);
void     rubrica_load_assigment_key_val   (GConfClient* client, gchar* key);
void     rubrica_load_notes_key_val       (GConfClient* client, gchar* key);
void     rubrica_load_account_key_val     (GConfClient* client, gchar* key);

void     rubrica_personal_key_changes     (GConfClient *client, guint cnxn_id, 
					   GConfEntry *entry, gpointer key);
void     rubrica_communicate_key_changes  (GConfClient *client, guint cnxn_id, 
					   GConfEntry *entry, gpointer key);
void     rubrica_company_key_changes      (GConfClient *client, guint cnxn_id, 
					   GConfEntry *entry, gpointer key);
void     rubrica_assigment_key_changes    (GConfClient *client, guint cnxn_id, 
					   GConfEntry *entry, gpointer key);
void     rubrica_notes_key_changes        (GConfClient *client, guint cnxn_id, 
					   GConfEntry *entry, gpointer key);
void     rubrica_account_key_changes      (GConfClient *client, guint cnxn_id, 
					   GConfEntry *entry, gpointer key);

#endif
